Package: org.codehaus.groovy.tools.shell

## [Groovy] Class CommandAlias

- org.codehaus.groovy.tools.shell.CommandAlias

- Provides simple command aliasing.

  Authors:
    Jason Dillon

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `targetName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandAlias (Groovysh shell, String name, String shortcut, String target)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected List<Completer>` | `createCompleters()`
    `` | `Object` | `execute(List<String> args)`
    `` | `String` | `getDescription()`
    `` | `String` | `getHelp()`
    `` | `boolean` | `getHidden()`
    `` | `Command` | `getTarget()`
    `` | `String` | `getUsage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Property Detail

    - #### final String targetName

  - ### Constructor Detail

    - #### CommandAlias(Groovysh shell, String name, String shortcut, String target)

  - ### Method Detail

    - #### @Override protected List<Completer> createCompleters()

    - #### @Override Object execute(List<String> args)

    - #### @Override String getDescription()

    - #### @Override String getHelp()

    - #### @Override boolean getHidden()

    - #### Command getTarget()

    - #### @Override String getUsage()